#include <vm_lifters.hpp>

namespace vmp2::lifters
{
    lifter_callback_t lregq = [ & ]( vm::vmp_rtn_t *rtn, const vm::instrs::code_block_t &vm_code_block,
                                     const vm::instrs::virt_instr_t &vinstr, llvm::IRBuilder<> *ir_builder ) {
        auto vreg = rtn->virtual_registers[ vinstr.operand.imm.u ? vinstr.operand.imm.u / 8 : 0 ];
        rtn->push( 8, rtn->load_value( 8, vreg ) );
    };
}