#include <vm_lifters.hpp>

namespace vmp2::lifters
{
    lifter_callback_t lconstq = [ & ]( vm::vmp_rtn_t *rtn, const vm::instrs::code_block_t &vm_code_block,
                                       const vm::instrs::virt_instr_t &vinstr, llvm::IRBuilder<> *ir_builder ) {
        rtn->push( 8, llvm::ConstantInt::get( ir_builder->getInt64Ty(), vinstr.operand.imm.u ) );
    };

    lifter_callback_t lconstdwsxq = [ & ]( vm::vmp_rtn_t *rtn, const vm::instrs::code_block_t &vm_code_block,
                                           const vm::instrs::virt_instr_t &vinstr, llvm::IRBuilder<> *ir_builder ) {
        rtn->push( 8, llvm::ConstantInt::get( ir_builder->getInt64Ty(), vinstr.operand.imm.u ) );
    };
} // namespace vmp2::lifters